Package ghidra.app.util.viewer.field

# Class CommentUtils

java.lang.Object
ghidra.app.util.viewer.field.CommentUtils

public class CommentUtils extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommentUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `fixupAnnotations(String rawCommentText, Program program)`
  Makes adjustments as necessary to any annotations in the given text.
  `static String`
  `getDisplayString(String rawCommentText, Program program)`
  Returns the display string for the given raw annotation text.
  `static FieldElement`
  `parseTextForAnnotations(String text, Program program, AttributedString prototypeString, int row)`
  Parses the given text looking for annotations.
  `static String`
  `sanitize(String text)`
  Sanitizes the given text, removing or replacing illegal characters.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CommentUtils

    public CommentUtils()

- ## Method Details

  - ### fixupAnnotations

    public static String fixupAnnotations(String rawCommentText, Program program)
    Makes adjustments as necessary to any annotations in the given text.
    Parameters:
      `rawCommentText` - the text to be updated
      `program` - the program associated with the comment
    Returns:
      the updated string

  - ### getDisplayString

    public static String getDisplayString(String rawCommentText, Program program)
    Returns the display string for the given raw annotation text. Annotations are encoded strings that fit this pattern: `{@name text}`. This method will parse the given text, converting any annotations into their display version.
    Parameters:
      `rawCommentText` - text that may include annotations
      `program` - the program
    Returns:
      the display string

  - ### parseTextForAnnotations

    public static FieldElement parseTextForAnnotations(String text, Program program, AttributedString prototypeString, int row)
    Parses the given text looking for annotations.
    Parameters:
      `text` - The text to parse.
      `program` - the program from which to get information
      `prototypeString` - The reference string used to determine the attributes of any newly created AttributedString.
      `row` - the row of the newly created FieldElement
    Returns:
      A field element containing `AttributedString`s

  - ### sanitize

    public static String sanitize(String text)
    Sanitizes the given text, removing or replacing illegal characters.

    Each illegal character is handled as follows:

    - null character (\0) -> remove
    Parameters:
      `text` - The text to sanitize
    Returns:
      The sanitized text, or null if the given text was null